class GenericRespModel {
  GenericRespModel({
    this.data,
    this.messageStatus,
    this.totalItemsCount,
    this.message,
  });

  dynamic data;
  int? messageStatus;
  int? totalItemsCount;
  String? message;

  factory GenericRespModel.fromJson(Map<String, dynamic> json) {
    if (json.containsKey('StatusMessage')) {
      if ((json['StatusMessage'] as String).contains('Internal server error')) {
        // Utils.showToast("${json['StatusMessage']}");
      }
    }
    return GenericRespModel(
      data: json["data"],
      messageStatus: json["messageStatus"],
      totalItemsCount: json["totalItemsCount"],
      message: json["message"],
    );
  }

  @override
  String toString() {
    return 'GenericRespModel{data: $data, messageStatus: $messageStatus, totalItemsCount: $totalItemsCount, message: $message}';
  }
}
